--To see the list of collations
SELECT * FROM ::fn_helpcollations()
go

-- To see the server's setting
sp_helpsort
go

-- To see the database's setting
sp_helpdb dbname
go

-- To see the table's setting (for each column)
sp_help tname
go

--For more information, check out these BOL topics:
--  COLLATE
--  "Specifying Collations"
--	CREATE TABLE, CREATE DATABASE, CREATE VIEW

-- For this test, create a database with a different collation, doesn't really matter which!
CREATE DATABASE Test
COLLATE Icelandic_BIN
go

USE Test
go

CREATE TABLE #test1
(
	col1	varchar(12)	
)
go

CREATE TABLE #test2
(
	col1	varchar(12)	COLLATE database_default
)
go

USE Tempdb
go

CREATE TABLE #test3
(
	col1	varchar(12)	COLLATE database_default
)
go

sp_help 'tempdb..#test1' -- Will use TempDB's collation
exec sp_help 'tempdb..#test2'	-- Will use Test's collation (Icelandic BIN)
exec sp_help 'tempdb..#test3'	-- Will use TempDB's collation
go